Commit all files changes to make them live.
cURL
curl -X PATCH "https://management-api.suprsend.com/v1/{workspace}/translation/commit/" \ --header 'Authorization: ServiceToken <token>'
{ "meta": { "count": 2, "limit": 10, "offset": 0 }, "results": [ { "filename": "en.json", "locale": "en", "locale_name": "English", "namespace": null, "action": "unchanged", "updated_at": "2025-10-30T12:23:50.380614Z" }, { "filename": "fr.json", "locale": "fr", "locale_name": "French", "namespace": null, "action": "added", "updated_at": "2025-10-28T07:59:43.397124Z" } ] }
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Workspace slug (staging, production, etc.)
Commit message describing the changes
Translations committed successfully
Show child attributes
Total number of translation files
Maximum number of results per page
Number of results to skip in case offset is passed in the request
Name of the translation file. Should be in the format of .json or ..json.
"en.json"
Locale code for the translation file. This would be matched with user locale code to fetch translation.
"en"
Human-readable name of the locale
"English"
Namespace for the translation file, if any. Namespace can be used to group translations by feature or module.
"task"
action done in the version compared to last commit.
added
updated
deleted
unchanged
"added"
When the translation file was last updated
Was this page helpful?